POST /projects/{project_id}/webhooks/{endpoint_id}/disable
Disable an endpoint
Console session only (signed-in console).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
project_id | path | string · required | |
endpoint_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Endpoint disabled | WebhookResponse |
404 | Endpoint not found |
Examples
curl
curl -X POST "$GALON_API_BASE/projects/<project_id>/webhooks/<endpoint_id>/disable" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.webhooks.remove("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.webhooks.remove("<id>")